Skip to main content
GET
/
v1
/
registrations
/
{id}
Get registration
curl --request GET \
  --url https://api.oneofnone.io/v1/registrations/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "collection_id": "<string>",
  "created_at": "<string>",
  "status": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "short_url": "<string>",
  "token_id": 123,
  "metadata": {},
  "collection": {
    "id": "<string>",
    "name": "<string>",
    "slug": "<string>",
    "image": {
      "url": "<string>"
    },
    "quantity": 123
  },
  "user": {
    "id": "<string>",
    "email": "<string>",
    "created_at": "<string>",
    "phone": "<string>",
    "metadata": {},
    "avatar": {
      "url": "<string>"
    },
    "app_id": 123,
    "team_id": "<string>",
    "last_login_at": "<string>",
    "login_count": 123,
    "updated_at": "<string>"
  },
  "updated_at": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Query Parameters

type
enum<string>
Available options:
ID,
SHORT_URL,
SLUG
token_id
integer

Response

Successful response

id
string
required
collection_id
string
required
created_at
string
required
status
string | null
email
string | null
phone
string | null
short_url
string | null
token_id
number | null
metadata
object
collection
object
user
object
updated_at
string | null